Skip to main content
GET
/
room_compositions
/
{room_composition_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const roomComposition = await client.roomCompositions.retrieve(
  '5219b3af-87c6-4c08-9b58-5a533d893e21',
);

console.log(roomComposition.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
room_composition = client.room_compositions.retrieve(
"5219b3af-87c6-4c08-9b58-5a533d893e21",
)
print(room_composition.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
roomComposition, err := client.RoomCompositions.Get(context.TODO(), "5219b3af-87c6-4c08-9b58-5a533d893e21")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", roomComposition.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomcompositions.RoomCompositionRetrieveParams;
import com.telnyx.sdk.models.roomcompositions.RoomCompositionRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

RoomCompositionRetrieveResponse roomComposition = client.roomCompositions().retrieve("5219b3af-87c6-4c08-9b58-5a533d893e21");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

room_composition = telnyx.room_compositions.retrieve("5219b3af-87c6-4c08-9b58-5a533d893e21")

puts(room_composition)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$roomComposition = $client->roomCompositions->retrieve(
'5219b3af-87c6-4c08-9b58-5a533d893e21'
);

var_dump($roomComposition);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx room-compositions retrieve \
--api-key 'My API Key' \
--room-composition-id 5219b3af-87c6-4c08-9b58-5a533d893e21
curl --request GET \
--url https://api.telnyx.com/v2/room_compositions/{room_composition_id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "completed_at": "2022-02-25T05:39:56.377426Z",
    "download_url": "https://example.com",
    "duration_secs": 84,
    "ended_at": "2022-02-24T23:22:24.577677Z",
    "format": "mp4",
    "id": "7103dc53-ee59-4b54-a58b-c77d99ceb037",
    "record_type": "composition",
    "resolution": "1280x720",
    "room_id": "f981dbb3-228a-44e9-ac54-e87f0e2658b0",
    "session_id": "8f728d7b-00e2-4c59-8c27-f564b828df87",
    "size_mb": 6,
    "started_at": "2022-02-24T23:21:00.077209Z",
    "status": "enqueued",
    "user_id": "12a04ec9-0f91-4a91-9f3a-a19d9931182e",
    "video_layout": {
      "first": {
        "height": 720,
        "video_sources": [
          "7b61621f-62e0-4aad-ab11-9fd19e272e73"
        ],
        "width": 1280,
        "x_pos": 0,
        "y_pos": 0,
        "z_pos": 0
      }
    },
    "webhook_event_url": "https://webhook.site/544663ce-b692-4f9c-80ed-e5ad97cd5c02"
  }
}
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_composition_id
string<uuid>
required

The unique identifier of a room composition.

Example:

"5219b3af-87c6-4c08-9b58-5a533d893e21"

Response

Get room composition response.

data
object
Example:
{
"completed_at": "2022-02-25T05:39:56.377426Z",
"download_url": "https://example.com",
"duration_secs": 84,
"ended_at": "2022-02-24T23:22:24.577677Z",
"format": "mp4",
"id": "7103dc53-ee59-4b54-a58b-c77d99ceb037",
"record_type": "composition",
"resolution": "1280x720",
"room_id": "f981dbb3-228a-44e9-ac54-e87f0e2658b0",
"session_id": "8f728d7b-00e2-4c59-8c27-f564b828df87",
"size_mb": 6,
"started_at": "2022-02-24T23:21:00.077209Z",
"status": "enqueued",
"user_id": "12a04ec9-0f91-4a91-9f3a-a19d9931182e",
"video_layout": {
"first": {
"height": 720,
"video_sources": ["7b61621f-62e0-4aad-ab11-9fd19e272e73"],
"width": 1280,
"x_pos": 0,
"y_pos": 0,
"z_pos": 0
}
},
"webhook_event_url": "https://webhook.site/544663ce-b692-4f9c-80ed-e5ad97cd5c02"
}